# TaylorModels

[![travis badge][travis_badge]][travis_url]
[![appveyor badge][appveyor_badge]][appveyor_url]
[![codecov badge][codecov_badge]][codecov_url]


[![docs stable][docsbadge_stable]][documenter_stable]
[![docs latest][docsbadge_latest]][documenter_latest]


[travis_badge]: https://travis-ci.org/JuliaIntervals/TaylorModels.jl.svg?branch=master
[travis_url]: https://travis-ci.org/JuliaIntervals/TaylorModels.jl

[appveyor_badge]: https://ci.appveyor.com/api/projects/status/github/dpsanders/TaylorModels.jl?svg=true&branch=master
[appveyor_url]: https://ci.appveyor.com/project/dpsanders/taylormodels-jl-8keb2

[codecov_badge]: http://codecov.io/github/JuliaIntervals/TaylorModels.jl/coverage.svg?branch=master
[codecov_url]: http://codecov.io/github/JuliaIntervals/TaylorModels.jl?branch=master

[docsbadge_stable]: https://img.shields.io/badge/docs-stable-blue.svg
[documenter_stable]: https://juliaintervals.github.io/TaylorModels.jl/stable
[docsbadge_latest]: https://img.shields.io/badge/docs-latest-blue.svg
[documenter_latest]: https://juliaintervals.github.io/TaylorModels.jl/latest


This package combines the `IntervalArithmetic.jl` and `TaylorSeries.jl` packages to provide **Taylor models**, i.e.
Taylor polynomials with guaranteed error bounds to approximate functions.

An introduction is available in [this video from JuliaCon 2018](https://www.youtube.com/watch?v=o1h7BUW04NI).


### Authors
- [Luis Benet](http://www.cicc.unam.mx/~benet/), Instituto de Ciencias Físicas, Universidad Nacional Autónoma de México (UNAM)
- [David P. Sanders](http://sistemas.fciencias.unam.mx/~dsanders), Departamento de Física, Facultad de Ciencias, Universidad Nacional Autónoma de México (UNAM)


## Bibliography

- Kyoko Makino, [Rigorous Analysis of Nonlinear Motion in Particle Accelerators](https://bt.pa.msu.edu/pub/papers/makinophd/makinophd.pdf), PhD Thesis, Michigan State University (1991).

- Mioara Joldes, [Rigorous Polynomial Approximations and Applications](https://tel.archives-ouvertes.fr/tel-00657843), PhD Thesis, École Normale Supérieure de Lyon, ENS-Lyon (2011).


## Acknowledgements ##

Financial support is acknowledged from DGAPA-UNAM PAPIIT grants IN-117117, IG-100616 and IG-100819. DPS acknowledges support through a *Cátedra Marcos Moshinsky* (2018).
